> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List journal entries

> List journal entries

### Query parameters

<ParamField query="period_id" type="string" />

<ParamField query="status" type="string">
  One of `draft`, `pending`, `posted`, `voided`, `reversed`.
</ParamField>

<ParamField query="entry_type" type="string">
  One of `standard`, `adjusting`, `closing`, `reversing`, `opening`.
</ParamField>

<ParamField query="account_id" type="string" />

<ParamField query="from_date" type="string">
  Inclusive start date in `YYYY-MM-DD` format.
</ParamField>

<ParamField query="to_date" type="string">
  Inclusive end date in `YYYY-MM-DD` format.
</ParamField>

<ParamField query="limit" type="integer (int32)" />

<ParamField query="offset" type="integer (int32)" />

### Responses

<ResponseField name="200" type="JournalEntryListResponse" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/gl/journal-entries' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "journal_entries": [
      {
        "created_at": "string",
        "description": "string",
        "entry_date": "string",
        "entry_number": "string",
        "entry_type": "string",
        "id": "string",
        "is_balanced": true,
        "lines": [],
        "period_id": "string",
        "posted_at": null,
        "posted_by": null,
        "reversed_entry_id": null,
        "reversing_entry_id": null,
        "source": "string",
        "status": "string",
        "total_credits": "string",
        "total_debits": "string"
      }
    ],
    "total": 1
  }
  ```
</ResponseExample>
